Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class RegistrationDisplayTemplate

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.InboxAgent
                  |
                  +--com.jxml.qare.qhome.register.RegistrationDisplayTemplate

All Implemented Interfaces:
  Item

public class RegistrationDisplayTemplate
extends InboxAgent

Fields inherited from class com.jxml.qare.qhome.InboxAgent
`app, currentAccount, gkey, inbox, properties, user, war`

Constructor Summary
`RegistrationDisplayTemplate()`

Method Summary
`String` | `getAction()` This method is overidden by classes to specify the action defined by this message.
`void` | `initInput()` Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.
`String` | `processInput(String arg)` Process the template arguments for the input display.

Methods inherited from class com.jxml.qare.qhome.InboxAgent
`content, createInboxMsg, eval, expandProperty, getFactory, initResult, markup, process, processCommon, processResult, refresh`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegistrationDisplayTemplate

    public RegistrationDisplayTemplate()

Method Detail

### getAction

    public String getAction()

  Description copied from class: `SDO`
  This method is overidden by classes to specify the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### initInput

    public void initInput()
                   throws Exception

  Description copied from class: `InboxAgent`
  Initializalization of the input display--process the input, send messages and add the inbox agent to DBInbox.
  Overrides:
    `initInput` in class `InboxAgent`

### processInput

    public String processInput(String arg)
                        throws Exception

  Description copied from class: `InboxAgent`
  Process the template arguments for the input display.
  Overrides:
    `processInput` in class `InboxAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD